Bug 2117048 - Partition type may be unexpectedly changed when using libparted
Summary: Partition type may be unexpectedly changed when using libparted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: parted
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BetaFreezeException, F37BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-08-09 20:37 UTC by Brian Lane
Modified: 2022-08-13 16:39 UTC (History)
2 users (show)

Fixed In Version: parted-3.5-6.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-13 16:39:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian Lane 2022-08-09 20:37:29 UTC
Description of problem:
parted 3.5 changed the way that flags are handled in order to support the ability to set arbitrary partition types and guids. In normal use there should be no issues, but if a user of the library calls ped_partition_set_system after the initial partition setup the partition type will be changed to the default for the filesystem, possibly removing the type set based on the flags.

Version-Release number of selected component (if applicable):
parted-3.5-5

patches: 
https://alioth-lists.debian.net/pipermail/parted-devel/2022-August/005819.html

Comment 1 Fedora Blocker Bugs Application 2022-08-10 15:52:40 UTC
Proposed as a Freeze Exception for 37-beta by Fedora user bcl using the blocker tracking app because:

 I'd prefer to get this in before release. AFAIK it is only a problem for non-Fedora libparted users but it'd be safer if it was included.

Comment 2 Adam Williamson 2022-08-10 17:54:50 UTC
Freeze isn't for two weeks, so if you backport and build it now it'll go in.

Comment 3 Fedora Update System 2022-08-11 16:44:09 UTC
FEDORA-2022-f6fa072017 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f6fa072017

Comment 4 Fedora Update System 2022-08-13 16:39:20 UTC
FEDORA-2022-f6fa072017 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.